支持结束后现有的更新是否可用? [重复]

Modified on: Sat, 09 Jun 2018 11:09:53 +0800
  

可能重复:
  如何安装软件或从旧的不受支持的版本升级?< / a>

我目前正在使用Ubuntu 11.04。我喜欢GNOME 2及其经典的桌面环境。我希望尽可能长时间地使用它,即使它达到EOL(寿命结束)。

但是,我对Natty并不满意,并且正在考虑降级到今年4月到期的10.10。

假设我在4月之后安装了Ubuntu 10.10,现有的更新是否可用,或者Canonical会彻底杀掉10.10的存储库?那么软件中心仍然可以正常运行吗?

最佳答案

从内存中,生命周期结束版本的存储库将在EOL日期的几周内移动。

澄清 - 他们被移动,而不是移除。 EOL发行版存储库可在http://old-releases.ubuntu.com上找到

支持终止意味着Canonical将不再主动推出更新和安全补丁。您将自己负责 - 可能通过自己下载源代码,编译和安装。

随着时间的推移,你会发现,随着维护者转向更新版本的ubuntu,新软件的通常来源--PPAs将会逐渐枯竭。

移动存储库并不意味着您将无法安装软件 - 您只需要将资源重新指向旧版本区域:

编辑/etc/apt/sources.list并将'archive.ubuntu.com'更改为'old-releases.ubuntu.com'

您可以使用sed

执行此操作

sudo sed -i -e 's/archive.ubuntu.com/old-releases.ubuntu.com/g' /etc/apt/sources.list

然后用

更新

sudo apt-get update && sudo apt-get dist-upgrade

因此 - 突触/软件中心等仍然可以正常工作。

作者:fossfreedom

相关问答

添加新评论